@ihabia

Что делать с сообщениями npm audit?

Господа, дайте совет - как бороться с сообщениями npm об уязвимостях, после установки определенного пакета:
found 8 vulnerabilities (2 low, 2 moderate, 4 high) in 8288 scanned packages
   vulnerabilities require manual review. See the full report for details.

Почитал здесь и в интернете, но никаких конкретных действий не описывается. Единственное что советуют удалить node_modules и package-lock и инсталировать npm заного - npm i
Это не помогает. Возможно кто-то решил данный вопрос, поделитесь?
P.S.: Важны ли вообще эти сообщения или можно отключить как то?
  • Вопрос задан
  • 68 просмотров
Решения вопроса 1
AlexanderK-A
@AlexanderK-A
Изучаю ES dev, ищу работу, 36, UTC+10
Доброго дня!

Реагировать хотя бы на уязвимости уровня high пожалуй стоит.
Обычно npm подсказывает, какую команду запустить, чтобы устранить угрозу.
Выполните
npm audit
И следуйте его советам, как правило, это помогает.

Сама по себе команда
npm i
не устанавливает новую версию пакета, если в зависимостях указаны конкретные версии (или диапазоны версий).
Ответ написан
Пригласить эксперта
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы